Summary: Fortify for Netscape
Name: Fortify
Version: 1.4.4
Release: 1
Packager: Peter Soos <sp@osb.hu>
Copyright: Free, but restricted or illegal in some countries.
ExclusiveArch: i386
Group: Applications/Internet
Source0: Fortify-%{PACKAGE_VERSION}-unix-src.tar.gz
Source1: Fortify-%{PACKAGE_VERSION}-unix-src.tar.gz.sig
Patch: Fortify-rpm.patch
URL: http://www.fortify.net
BuildRoot: /var/tmp/Fortfy-root

%changelog
* Tue Aug 24 1999 Peter Soos <sp@osb.hu>
- Added all Unix morphs

* Tue Aug 24 1999 Eric Wieling <eric@fnords.org>
- Moved to 1.4.4

* Wed Jun 16 1999 Peter Soos <sp@osb.hu>
- Moved to 1.4.2

* Sat May 1 1999 Peter Soos <sp@osb.hu>
- Initial release

%description
This is Fortify for Netscape, a program that provides world-wide, unconditional, full strength 128-bit cryptography to users of Netscape Navigator (v3 and v4) and Communicator (v4).

%prep
%setup -n Fortify-%{PACKAGE_VERSION}-unix-src
%patch

%build
cd src/common
make CFLAGS=$RPM_OPT_FLAGS
cd ../cmdline
make CFLAGS="$RPM_OPT_FLAGS -I. -I../common"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/fortify
install -s src/cmdline/fortify $RPM_BUILD_ROOT/usr/bin
install -s src/cmdline/md5 $RPM_BUILD_ROOT/usr/bin
install Index $RPM_BUILD_ROOT/usr/lib/fortify
install languages/English $RPM_BUILD_ROOT/usr/lib/fortify/Messages
for i in x86-* alpha-* mips-* ppc-* sparc-* ; do
  cp -r $i $RPM_BUILD_ROOT/usr/lib/fortify
  rm -rf $RPM_BUILD_ROOT/usr/lib/fortify/$i/bin
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc README.html images
%attr(0755, root, root) /usr/bin/fortify
%attr(0755, root, root) /usr/bin/md5
/usr/lib/fortify
